Bug 518906 - better network monitoring
Summary: better network monitoring
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-24 04:53 UTC by Matthias Clasen
Modified: 2012-12-21 14:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-21 14:41:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 424626 None None None Never
Mozilla Foundation 464577 None None None Never
Mozilla Foundation 577763 None None None Never
Mozilla Foundation 620472 None None None Never
Mozilla Foundation 627672 None None None Never

Description Matthias Clasen 2009-08-24 04:53:12 UTC
Currently, when there's no network, firefox just shows me the 'offline' page, with a 'Try again' button that I have to manually click. This is suboptimal in several ways:

1) It would be nice if firefox could just load the page on its own when network becomes available.  Doesn't it already use NMs dbus signals to monitor that ? Failing that, just trying again every 30 seconds or so would be much better.

2) It would be great if we had some tighter integration with NM, like a 'connect to the network' button that would bring up a suitable NM dialog.

Comment 1 Bug Zapper 2009-11-16 11:37:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Chris Campbell 2010-05-24 14:54:16 UTC
-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Bug Zapper 2010-11-04 10:24:47 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-12-05 06:34:11 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Martin Stransky 2011-01-11 13:25:37 UTC
We should reconsider this issue. Firefox and Thunderbird ignores current network state (controlled by NetworkManager). 

When network setup is changes, Xchat (for instance) recognized it and connects automatically, but Firefox/Thunderbird stays on-line but refuses to load aby web page. I have to manually switch the "Work Offline" check box in File menu and then Firefox recognize a new network setup.

Comment 6 Martin Stransky 2011-01-13 12:07:47 UTC
Firefox (on rawhide) ignores the NetworkManager status and even does not throw the 'offline' page when NM is disconnected.

It looks like the toolkit.networkmanager.disable preferences is ignored.

Comment 7 Martin Stransky 2011-01-20 12:34:51 UTC
The network monitoring component is not loaded, do_GetService returns NULL:

nsIOService.cpp:
mNetworkLinkService = do_GetService(NS_NETWORK_LINK_SERVICE_CONTRACTID);

NS_NETWORK_LINK_SERVICE_CONTRACTID is provided by NetworkManagerListener but it fails to register so Firefox it not getting info from NM.

Comment 8 Martin Stransky 2011-01-20 13:42:51 UTC
It affects only Firefox 4b9, the component registration seems to be broken here. Old 3.6.x works as expected.

Comment 9 Martin Stransky 2011-10-20 13:50:00 UTC
Should be fixed now (firefox-7.0.1-1.fc15).

Comment 10 Martin Stransky 2011-10-21 10:32:03 UTC
(In reply to comment #0)
> Currently, when there's no network, firefox just shows me the 'offline' page,
> with a 'Try again' button that I have to manually click. This is suboptimal in
> several ways:
> 
> 1) It would be nice if firefox could just load the page on its own when network
> becomes available.  Doesn't it already use NMs dbus signals to monitor that ?
> Failing that, just trying again every 30 seconds or so would be much better.
> 
> 2) It would be great if we had some tighter integration with NM, like a
> 'connect to the network' button that would bring up a suitable NM dialog.

We may consider it as an extension for FF. Which NM dialog should be invoked?

Comment 11 Fabrice Bellet 2012-09-14 19:39:18 UTC
(In reply to comment #6)
> Firefox (on rawhide) ignores the NetworkManager status and even does not
> throw the 'offline' page when NM is disconnected.

this bug is still in FF15 on F17. I suggested a patch for this in mozbz#720320.

Comment 12 Martin Stransky 2012-12-21 14:41:45 UTC
Already fixed.


Note You need to log in before you can comment on or make changes to this bug.